
package de.ivu.elect.presentation.entschaedigung.table;

import static java.util.Objects.nonNull;
import static org.apache.commons.lang3.StringUtils.trimToEmpty;

import de.ivu.elect.business.entschaedigung.entity.Entschaedigungsart;
import de.ivu.elect.business.entschaedigung.entity.EntschaedigungsartConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class EntschaedigungsartErklaerungColumn extends AbstractEntschaedigungsartColumn<Entschaedigungsart> {

  private static final long serialVersionUID = 1L;

  public EntschaedigungsartErklaerungColumn(Messages messages) {
    super("EntschaedigungsartErklaerungColumn", messages, EntschaedigungsartConstants.MESSAGE_KEY_BEZEICHNUNG_EINZAHL, ColumnType.STRING, Entschaedigungsart::getBezeichnung);
  }

  @Override
  public String getTooltip(Entschaedigungsart entschaedigungsart) {
    if (nonNull(entschaedigungsart)) {
      return trimToEmpty(entschaedigungsart.getBeschreibung());
    }

    return super.getTooltip(entschaedigungsart);
  }
}
